---
updatedAt: 2025-09-10T20:42:29.000Z
agentTools:
  projectIndex: https://docs.rigado.com/llms.txt
---

# /apps/revisions

Returns a list of AppRevisions

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "Edge Direct is Rigado's set of tools for provisioning gateways, orchestrating updates, and monitoring performance.\n\nAll endpoints require API Key authentication. Keys can be obtained with the Rigado CLI. Token and secret are set in these two headers:\n\n`X-Rigado-API-Token` and `X-Rigado-API-Secret`\n\nRequests are then made to `https://api.rigado.com/v1` followed by the resource path you are requesting.\n\nResponses are always in JSON, except for errors, which are returned as strings with an appropriate status code.\n\nExample:\n\n`curl -H \"X-Rigado-API-Token: token\" -H \"X-Rigado-API-Secret: secret\" https://api.rigado.com/v1/apps`\n\nFor a more in-depth guide on using API keys, see https://docs.rigado.com/en/legacy/edge-direct/apikey.html",
    "title": "Rigado Edge Direct API",
    "license": {
      "name": "All rights reserved"
    },
    "version": "1.0-75db578e"
  },
  "paths": {
    "/apps/revisions": {
      "get": {
        "security": [
          {
            "api_secret": [],
            "api_token": []
          }
        ],
        "description": "Returns a list of AppRevisions",
        "tags": [
          "apprevisions"
        ],
        "operationId": "getAppRevisions",
        "responses": {
          "200": {
            "description": "A list of AppRevisions",
            "content": {
              "*/*": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "appRevisions": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/AppRevision"
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized"
          },
          "500": {
            "description": "Error fetching or marshaling App Revisions"
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api.rigado.com/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "api_secret": {
        "type": "apiKey",
        "name": "X-Rigado-API-Secret",
        "in": "header"
      },
      "api_token": {
        "type": "apiKey",
        "name": "X-Rigado-API-Token",
        "in": "header"
      }
    },
    "schemas": {
      "AppRevision": {
        "description": "Represents a particular revision/version of an App; a distinct binary upload. The revision\nID is system generated, while the version is publisher provided.",
        "type": "object",
        "title": "AppRevision represents a particular revision/version of an App; a distinct binary upload.",
        "properties": {
          "architecture": {
            "description": "Architecture of the binary associated with this AppRevision",
            "type": "string",
            "x-go-name": "Architecture",
            "example": "armhf"
          },
          "binaryFileSize": {
            "description": "Binary file size in bytes",
            "type": "integer",
            "format": "int64",
            "x-go-name": "BinaryFileSize",
            "example": 10242342
          },
          "channels": {
            "description": "Channels that this AppRevision was released to",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ChannelReleaseStatus"
            },
            "x-go-name": "Channels"
          },
          "created": {
            "description": "Time the AppRevision was created",
            "type": "string",
            "x-go-name": "Created",
            "example": "2018-08-09T00:15:02Z"
          },
          "name": {
            "description": "The unique name of the App",
            "type": "string",
            "x-go-name": "Name",
            "example": "my-great-app"
          },
          "organization": {
            "description": "Deprecated: UUID of the organization that this AppRevision belongs to",
            "type": "string",
            "x-go-name": "Organization",
            "example": "1d23c456-f782-9a6c-9105-29c61eee8ab4"
          },
          "revision": {
            "description": "A system generated (auto-incremented) ID",
            "type": "string",
            "x-go-name": "Revision",
            "example": "33"
          },
          "updated": {
            "description": "Time the AppRevision was last updated",
            "type": "string",
            "x-go-name": "Updated",
            "example": "2018-08-09T01:15:02Z"
          },
          "version": {
            "description": "Version of this AppRevision (provided by the App publisher)",
            "type": "string",
            "x-go-name": "Version",
            "example": "1.0.1"
          }
        },
        "x-go-package": "git.rigado.com/cascade/cascade-server/marshal"
      },
      "ChannelReleaseStatus": {
        "description": "Describes release of a revision to a particular Channel.",
        "type": "object",
        "title": "ChannelReleaseStatus describes release of a revision to a particular Channel.",
        "properties": {
          "channel": {
            "description": "Channel that the AppRevision was released to",
            "type": "string",
            "x-go-name": "Channel",
            "example": "stable"
          },
          "released": {
            "description": "True if the corresponding AppRevision is currently the release at the head of the channel, and therefore would be installed on Gateways subscribing to that channel",
            "type": "boolean",
            "x-go-name": "Released",
            "example": true
          }
        },
        "x-go-package": "git.rigado.com/cascade/cascade-server/marshal"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```